## ark 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.19 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(ark VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION 5.15.2)
set(KF_MIN_VERSION 5.101.0)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
                  VARIABLE_PREFIX ARK
                  VERSION_HEADER "ark_version.h")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KERFUFFLE)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
    Concurrent
    Core
    Gui
    Widgets)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Config
                                                        Crash
                                                        DBusAddons
                                                        DocTools
                                                        I18n
                                                        KIO
                                                        Service
                                                        Parts
                                                        Pty
                                                        WidgetsAddons
                                                        WindowSystem
                                                        IconThemes)

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt${QT_MAJOR_VERSION}Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL)

if(NOT Qt${QT_MAJOR_VERSION}Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(LibArchive 3.3.3 REQUIRED)
set_package_properties(LibArchive PROPERTIES
                       URL "https://www.libarchive.org/"
                       DESCRIPTION "A library for dealing with a wide variety of archive file formats"
                       PURPOSE "Required for among others tar, tar.gz, tar.bz2 formats in Ark.")

find_package(LibZip 1.3.0)
set_package_properties(LibZip PROPERTIES
                       URL "https://nih.at/libzip/"
                       DESCRIPTION "A library for handling zip archives"
                       PURPOSE "Optional for zip archives.")
# To remove once we can depend on LibZip 1.6+
if ("${LibZip_VERSION}" VERSION_GREATER_EQUAL 1.6)
    set(LIBZIP_CANCELATION 1)
endif()
configure_file(config.h.in config.h)

option(WITH_TEST_COVERAGE "Build with test coverage support" OFF)
if (WITH_TEST_COVERAGE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif (WITH_TEST_COVERAGE)

set(SUPPORTED_ARK_MIMETYPES "")

add_definitions(-DTRANSLATION_DOMAIN="ark")

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.101
)


add_subdirectory(plugins)
add_subdirectory(kerfuffle)
add_subdirectory(part)
add_subdirectory(app)
add_subdirectory(doc)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)

# TODO re-enable for Qt6 when all translated docbooks are ported away from the &kf5; entity
if(QT_MAJOR_VERSION STREQUAL "5")
    kdoctools_install(po)
endif()

ecm_qt_install_logging_categories(EXPORT ARK FILE ark.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== part/CMakeLists.txt ===
add_library(arkpart MODULE)

target_sources(arkpart PRIVATE
    factory.cpp
    part.cpp
    infopanel.cpp
    arkviewer.cpp
    archivemodel.cpp
    archivesortfiltermodel.cpp
    archiveview.cpp
    jobtracker.cpp
    overwritedialog.cpp
    arkpart.qrc
    )

ecm_qt_declare_logging_category(arkpart
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.part DESCRIPTION "Ark KPart" EXPORT ARK)
set(ark_adaptor_SRCS)
qt_add_dbus_adaptor(ark_adaptor_SRCS dnddbusinterface.xml part.h Ark::Part)
target_sources(arkpart PRIVATE ${ark_adaptor_SRCS})
ki18n_wrap_ui(arkpart
    arkviewer.ui
    infopanel.ui
    jobtracker.ui)


target_link_libraries(arkpart kerfuffle KF${QT_MAJOR_VERSION}::Parts KF${QT_MAJOR_VERSION}::KIOFileWidgets)

if(QT_MAJOR_VERSION STREQUAL "5")
    configure_file(
                ${CMAKE_CURRENT_SOURCE_DIR}/ark_part.desktop.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop
    )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop DESTINATION ${KDE_INSTALL_KSERVICESDIR})
endif()

list(POP_BACK SUPPORTED_ARK_MIMETYPES)
list(JOIN SUPPORTED_ARK_MIMETYPES "\", \"" SUPPORTED_ARK_MIMETYPES_JSON)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark_part.json.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark_part.json
)

install(TARGETS arkpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/parts)

=== app/kconf_update/CMakeLists.txt ===
install(FILES ark.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS ark_add_hamburgermenu_to_toolbar.sh
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

=== autotests/app/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/app)

ecm_add_test(
    batchextracttest.cpp
    ${CMAKE_SOURCE_DIR}/app/batchextract.cpp
    ${CMAKE_BINARY_DIR}/app/ark_debug.cpp
    LINK_LIBRARIES Qt::Test KF${QT_MAJOR_VERSION}::KIOFileWidgets kerfuffle
    TEST_NAME batchextracttest
    NAME_PREFIX app-)

=== autotests/kerfuffle/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

set(JSONINTERFACE_SOURCES
    jsonarchiveinterface.cpp
    jsonparser.cpp
)
add_library(jsoninterface STATIC ${JSONINTERFACE_SOURCES})
target_link_libraries(jsoninterface kerfuffle)

ecm_add_tests(
    addtoarchivetest.cpp
    deletetest.cpp
    loadtest.cpp
    extracttest.cpp
    addtest.cpp
    movetest.cpp
    copytest.cpp
    createdialogtest.cpp
    metadatatest.cpp
    mimetypetest.cpp
    LINK_LIBRARIES testhelper kerfuffle Qt::Test KF${QT_MAJOR_VERSION}::ConfigCore KF${QT_MAJOR_VERSION}::KIOCore
    NAME_PREFIX kerfuffle-)

ecm_add_test(
    adddialogtest.cpp
    LINK_LIBRARIES kerfuffle Qt::Test KF${QT_MAJOR_VERSION}::KIOFileWidgets
    NAME_PREFIX kerfuffle-)

ecm_add_tests(
    jobstest.cpp
    LINK_LIBRARIES jsoninterface Qt::Test
    NAME_PREFIX kerfuffle-)

# metadatatest needs the number of plugins actually installed by an install() command.
list(REMOVE_ITEM INSTALLED_KERFUFFLE_PLUGINS "")
list(LENGTH INSTALLED_KERFUFFLE_PLUGINS INSTALLED_COUNT)
target_compile_definitions(metadatatest PRIVATE -DPLUGINS_COUNT=${INSTALLED_COUNT})

=== plugins/clizipplugin/CMakeLists.txt ===
########### next target ###############

set(kerfuffle_clizip_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_clizip_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.clizip DESCRIPTION "Ark Infozip plugin" EXPORT ARK)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_clizip.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clizip.json)

kerfuffle_parse_json_mimetypes(${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clizip.json)
set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${PLUGIN_SUPPORTED_MIMETYPES}" PARENT_SCOPE)

kerfuffle_add_plugin(kerfuffle_clizip ${kerfuffle_clizip_SRCS})

set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_clizip;" PARENT_SCOPE)

find_program(UNZIP unzip)
if(UNZIP)
    message(STATUS "Found unzip executable: ${UNZIP}")
else()
    message(WARNING "Could not find the unzip executable. Ark requires unzip or 7z to extract zip archives.")
endif()

find_program(ZIP zip)
if(ZIP)
    message(STATUS "Found zip executable: ${ZIP}")
else()
    message(WARNING "Could not find the zip executable. Ark requires zip or 7z to create or edit zip archives.")
endif()

=== plugins/libarchive/CMakeLists.txt ===
include_directories(${LibArchive_INCLUDE_DIRS})

########### next target ###############

# NOTE: These are the mimetypes for "single-file" archives. They must be defined in the JSON metadata together with the "normal" mimetypes.
# However they need to be duplicated here because we need to pass them as C++ define to the plugin (see LIBARCHIVE_RAW_MIMETYPES define below).
set(SUPPORTED_LIBARCHIVE_RAW_MIMETYPES "application/x-compress;application/gzip;application/x-bzip;application/x-bzip2;application/zlib;application/zstd;application/x-lzma;application/x-xz;application/x-lz4;application/x-lzip;application/x-lrzip;application/x-lzop;")

set(INSTALLED_LIBARCHIVE_PLUGINS "")

set(kerfuffle_libarchive_readonly_SRCS libarchiveplugin.cpp readonlylibarchiveplugin.cpp ark_debug.cpp)
set(kerfuffle_libarchive_readwrite_SRCS libarchiveplugin.cpp readwritelibarchiveplugin.cpp ark_debug.cpp)
set(kerfuffle_libarchive_SRCS ${kerfuffle_libarchive_readonly_SRCS} readwritelibarchiveplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_libarchive_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.libarchive DESCRIPTION "Ark Libarchive plugin" EXPORT ARK)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libarchive_readonly.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libarchive_readonly.json)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libarchive.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libarchive.json)

kerfuffle_parse_json_mimetypes(${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libarchive_readonly.json)
set(SUPPORTED_LIBARCHIVE_MIMETYPES "${SUPPORTED_LIBARCHIVE_MIMETYPES}${PLUGIN_SUPPORTED_MIMETYPES}")

kerfuffle_parse_json_mimetypes(${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libarchive.json)
set(SUPPORTED_LIBARCHIVE_MIMETYPES "${SUPPORTED_LIBARCHIVE_MIMETYPES}${PLUGIN_SUPPORTED_MIMETYPES}")

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_LIBARCHIVE_MIMETYPES}" PARENT_SCOPE)

kerfuffle_add_plugin(kerfuffle_libarchive_readonly ${kerfuffle_libarchive_readonly_SRCS})
kerfuffle_add_plugin(kerfuffle_libarchive ${kerfuffle_libarchive_readwrite_SRCS})

# Concat the list of raw mimetypes in a single string, so that we can pass it as C++ define to the plugin.
# NOTE: cannot use ";" as separator since it breaks cmake badly.
list(JOIN SUPPORTED_LIBARCHIVE_RAW_MIMETYPES ":" RAW_MIMETYPES_CONCAT)
target_compile_definitions(kerfuffle_libarchive_readonly PRIVATE -DLIBARCHIVE_RAW_MIMETYPES="${RAW_MIMETYPES_CONCAT}")

target_link_libraries(kerfuffle_libarchive_readonly ${LibArchive_LIBRARIES})
target_link_libraries(kerfuffle_libarchive ${LibArchive_LIBRARIES})

set(INSTALLED_LIBARCHIVE_PLUGINS "${INSTALLED_LIBARCHIVE_PLUGINS}kerfuffle_libarchive_readonly;")
set(INSTALLED_LIBARCHIVE_PLUGINS "${INSTALLED_LIBARCHIVE_PLUGINS}kerfuffle_libarchive;")

set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}${INSTALLED_LIBARCHIVE_PLUGINS}" PARENT_SCOPE)

find_program(LRZIP lrzip)
if(LRZIP)
    message(STATUS "Found lrzip executable: ${LRZIP}")
else()
    message(WARNING "Could not find the lrzip executable. Ark requires lrzip to handle the tar.lrz archive format.")
endif()

find_program(LZOP lzop)
if(LZOP)
    message(STATUS "Found lzop executable: ${LZOP}")
else()
    message(WARNING "Could not find the lzop executable. Ark requires lzop to handle the tar.lzo archive format if libarchive >= 3.3 has been compiled without liblzo2 support.")
endif()

find_program(ZSTD zstd)
if(ZSTD)
    message(STATUS "Found zstd executable: ${ZSTD}")
else()
    message(WARNING "Could not find the zstd executable. Ark requires zstd to handle the tar.zst archive format if libarchive >= 3.3.3 has been compiled without libzstd support.")
endif()

=== plugins/libzipplugin/CMakeLists.txt ===
set(INSTALLED_LIBZIP_PLUGINS "")

set(kerfuffle_libzip_SRCS libzipplugin.cpp ark_debug.cpp)

ecm_qt_declare_logging_category(kerfuffle_libzip_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.libzip DESCRIPTION "Ark Infozip plugin" EXPORT ARK)

if(LibZip_VERSION VERSION_GREATER_EQUAL "1.8.0")
    set(ZIP_CM_ZSTD_JSON_LINE "\"Zstd\": \"Zstd\",")
    set(ZIP_CM_LZMA_JSON_LINE "\"LZMA\": \"LZMA\",")
    set(ZIP_CM_XZ_JSON_LINE "\"XZ\": \"XZ\",")
endif()

find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES
                       URL "https://www.zlib.net/"
                       DESCRIPTION "The Zlib compression library"
                       PURPOSE "Required for integrity check in libzip plugin")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libzip.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libzip.json)

kerfuffle_parse_json_mimetypes(${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libzip.json)
set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${PLUGIN_SUPPORTED_MIMETYPES}" PARENT_SCOPE)

kerfuffle_add_plugin(kerfuffle_libzip ${kerfuffle_libzip_SRCS})

target_link_libraries(kerfuffle_libzip KF${QT_MAJOR_VERSION}::KIOCore LibZip::LibZip ZLIB::ZLIB)

set(INSTALLED_LIBZIP_PLUGINS "${INSTALLED_LIBZIP_PLUGINS}kerfuffle_libzip;")

set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}${INSTALLED_LIBZIP_PLUGINS}" PARENT_SCOPE)

=== autotests/plugins/cliarjplugin/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/plugins/cliarjplugin/)

file(COPY ${CMAKE_BINARY_DIR}/plugins/cliarjplugin/kerfuffle_cliarj.json
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

ecm_add_test(
    cliarjtest.cpp
    ${CMAKE_SOURCE_DIR}/plugins/cliarjplugin/cliplugin.cpp
    ${CMAKE_BINARY_DIR}/plugins/cliarjplugin/ark_debug.cpp
    LINK_LIBRARIES testhelper kerfuffle Qt::Test
    TEST_NAME cliarjtest
    NAME_PREFIX plugins-)

=== debian/changelog ===
ark (4:23.08.5-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.5).
  * Update build-deps with info from cmake.
  * Build depend on pkgconf instead of transitional pkg-config.
  * Apply upstream commit 03e6c1fa to improve 7-zip detection. (Closes:
    #1064227)
  * Change p7zip-full runtime Recommendation to 7zip. (Closes: #1063545)

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Apr 2024 21:08:08 +0200

ark (4:23.08.1-2) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Update minimum kf5 and ECM build-dep versions with info from cmake. 

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 28 Sep 2023 10:01:14 -0400

ark (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:41 +0100

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.101.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf5config-dev (>= 5.101.0~),
               libkf5crash-dev (>= 5.101.0~),
               libkf5dbusaddons-dev (>= 5.101.0~),
               libkf5doctools-dev (>= 5.101.0~),
               libkf5i18n-dev (>= 5.101.0~),
               libkf5iconthemes-dev (>=5.101.0~),
               libkf5kio-dev (>= 5.101.0~),
               libkf5parts-dev (>= 5.101.0~),
               libkf5pty-dev (>= 5.101.0~),
               libkf5service-dev (>= 5.101.0~),
               libkf5widgetsaddons-dev (>= 5.101.0~),
               libkf5windowsystem-dev (>= 5.101.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, 7zip, unar, unzip, zip,
Suggests: rar, unrar | unrar-free,
Depends: kinit, ${misc:Depends}, ${shlibs:Depends},
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

## ark 24.08.1

=== debian/changelog ===
ark (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:23:25 +0100

ark (4:24.08.0-1ubuntu1) oracular; urgency=medium

  * Merge debian experimental.
  * Keep VCS and maintainer.

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 03 Sep 2024 09:13:08 -0700

ark (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 11:59:13 +0200

ark (4:24.05.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.05.2).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Change homepage.

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Jul 2024 19:37:14 +0200

ark (4:23.08.5-0ubuntu5) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:39 +0200

ark (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:38:33 +0000

ark (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:52:56 +0000

ark (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:17:48 +0000

ark (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:26:13 -0700

ark (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:25 +0000

ark (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:26 +0000

ark (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:25:49 +0100

## ark 24.08.2

=== debian/changelog ===
ark (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Nov 2024 14:58:49 +0000

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.19~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf6config-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6filemetadata-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6parts-dev (>= 5.240.0~),
               libkf6pty-dev (>= 5.240.0~),
               libkf6service-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
Homepage: https://invent.kde.org/utilities/ark

Package: ark
Section: utils
Architecture: any
Recommends: 7zip, bzip2, unar, unzip, zip,
Suggests: rar, unrar | unrar-free,
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

## ark 24.12.0

=== debian/changelog ===
ark (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0). (Closes: #1090392)
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 17 Dec 2024 20:52:36 +0100

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.19~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf6config-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6filemetadata-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               libkf6pty-dev (>= 6.3.0~),
               libkf6service-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/ark
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: 7zip, bzip2, unar, unzip, zip,
Suggests: rar, unrar | unrar-free,
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

## ark 24.12.1

=== debian/changelog ===
ark (4:24.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Also suggest arj and lzop that Ark supports.

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 18 Jan 2025 13:27:23 +0100

## ark 24.12.3

=== app/CMakeLists.txt ===
find_package(KF6BreezeIcons ${KF_DEP_VERSION} QUIET)

add_subdirectory(icons)
add_subdirectory(kconf_update)

include_directories(${CMAKE_BINARY_DIR}) # for version.h generated by cmake
include_directories(${CMAKE_SOURCE_DIR}/part) # for part's interface.h
add_executable(ark)

target_sources(ark PRIVATE
    main.cpp
    batchextract.cpp
    batchextract.h
    mainwindow.cpp
    mainwindow.h
    welcomeview/welcomeview.cpp
    welcomeview/welcomeview.h
    welcomeview/recentfilesmodel.cpp
    welcomeview/recentfilesmodel.h
    ark.qrc
   )

ecm_qt_declare_logging_category(ark
                                HEADER ark_debug.h
                                IDENTIFIER ARK_LOG
				CATEGORY_NAME ark.main DESCRIPTION "Ark Main" EXPORT ARK)


ki18n_wrap_ui(ark welcomeview/welcomeview.ui)

# For Mac and Windows.
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-ark.png")

include(ECMAddAppIcon)
ecm_add_app_icon(ark_SRCS ICONS ${ICONS_SRCS})


target_link_libraries(ark
    kerfuffle
    KF6::Crash
    KF6::DBusAddons
    KF6::KIOFileWidgets
    KF6::Parts
    KF6::WindowSystem
    KF6::IconThemes)

if(TARGET KF6::BreezeIcons)
    target_link_libraries(ark
            KF6::BreezeIcons
    )
    target_compile_definitions(ark PRIVATE WITH_BREEZEICONS_LIB)
endif ()

# we provide our own Info.plist containing a simple "we open anything" instruction.
if(APPLE)
    # own plist template
    set_target_properties (ark PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)

    # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
    # so has to be set for all targets in this cmake file
    set(MACOSX_BUNDLE_DISPLAY_NAME Ark)
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Ark")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Ark")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_DISPLAY_NAME "Ark")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_INFO_STRING "Ark - KDE Archiving Tool")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "Ark ${RELEASE_SERVICE_VERSION}")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION}")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_COPYRIGHT "1997-2017, The Ark Developers")
endif()

# Remove duplicate mimetypes from list of supported formats.
list(REMOVE_DUPLICATES SUPPORTED_ARK_MIMETYPES)

# Don't register as mime type to never steal it from more fitting applications such as Wine.
list(REMOVE_ITEM SUPPORTED_ARK_MIMETYPES application/x-msdownload)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ark.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ark.desktop
)

list(POP_BACK SUPPORTED_ARK_MIMETYPES)
list(JOIN SUPPORTED_ARK_MIMETYPES "\", \"" SUPPORTED_ARK_MIMETYPES_JSON)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark_dndextract.json.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.json
)

install(TARGETS ark  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ark.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ark.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES arkrc DESTINATION ${KDE_INSTALL_CONFDIR})

############ ark_extract_here plugin ###############

set(extracthere_SRCS batchextract.cpp extractHereDndPlugin.cpp ark_debug.cpp)

kcoreaddons_add_plugin(extracthere
    SOURCES ${extracthere_SRCS}
    INSTALL_NAMESPACE kf6/kio_dnd)

target_link_libraries(extracthere kerfuffle KF6::KIOWidgets KF6::KIOFileWidgets)

# compressfileitemaction plugin

kcoreaddons_add_plugin(compressfileitemaction
    SOURCES compressfileitemaction.cpp compressfileitemaction.h
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(compressfileitemaction
    kerfuffle
    KF6::I18n
    KF6::KIOWidgets)

# extractfileitemaction plugin

kcoreaddons_add_plugin(extractfileitemaction
    SOURCES extractfileitemaction.cpp batchextract.cpp
    extractfileitemaction.h batchextract.h
    ${CMAKE_CURRENT_BINARY_DIR}/ark_debug.cpp
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(extractfileitemaction
    kerfuffle
    KF6::I18n
    KF6::ConfigGui
    KF6::KIOWidgets
    KF6::KIOFileWidgets)

=== plugins/libarchive/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 ecm_qt_declare_logging_category(kerfuffle_libarchive_SRCS
                                 HEADER ark_debug.h
-                                IDENTIFIER ARK
+                                IDENTIFIER ARK_LOG
                                 CATEGORY_NAME ark.libarchive DESCRIPTION "Ark Libarchive plugin" EXPORT ARK)
 
 configure_file(

=== plugins/libzipplugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 set(INSTALLED_LIBZIP_PLUGINS "")
+
+# not yet supported on freebsd
+try_compile(HAVE_CHRONO_CAST ${CMAKE_CURRENT_BINARY_DIR} SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/.test_chrono_cast.cpp)
 
 set(kerfuffle_libzip_SRCS libzipplugin.cpp ark_debug.cpp)
 
 ecm_qt_declare_logging_category(kerfuffle_libzip_SRCS
                                 HEADER ark_debug.h
-                                IDENTIFIER ARK
+                                IDENTIFIER ARK_LOG
                                 CATEGORY_NAME ark.libzip DESCRIPTION "Ark Infozip plugin" EXPORT ARK)
 
 if(LibZip_VERSION VERSION_GREATER_EQUAL "1.8.0")
@@ -28,7 +31,13 @@
 
 kerfuffle_add_plugin(kerfuffle_libzip ${kerfuffle_libzip_SRCS})
 
-target_link_libraries(kerfuffle_libzip KF${QT_MAJOR_VERSION}::KIOCore LibZip::LibZip ZLIB::ZLIB)
+if (HAVE_CHRONO_CAST)
+    target_compile_definitions(kerfuffle_libzip PRIVATE HAVE_CHRONO_CAST=1)
+else()
+    target_compile_definitions(kerfuffle_libzip PRIVATE HAVE_CHRONO_CAST=0)
+endif()
+
+target_link_libraries(kerfuffle_libzip KF6::KIOCore LibZip::LibZip ZLIB::ZLIB)
 
 set(INSTALLED_LIBZIP_PLUGINS "${INSTALLED_LIBZIP_PLUGINS}kerfuffle_libzip;")

=== debian/changelog ===
ark (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 15:51:44 +0000

ark (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:36:15 +0100

ark (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Mar 2025 22:16:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ark
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.19~),
                debhelper-compat (= 13),
@@ -31,14 +32,14 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/utilities/ark
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
 
 Package: ark
 Section: utils
 Architecture: any
 Recommends: 7zip, bzip2, unar, unzip, zip,
-Suggests: rar, unrar | unrar-free,
+Suggests: arj, lzop, rar, unrar | unrar-free,
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: archive utility
  Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,

## ark 25.03.90

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "03")
set (RELEASE_SERVICE_VERSION_MICRO "90")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(ark VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION 6.6.0)
set(KF_MIN_VERSION 6.3.0)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
                  VARIABLE_PREFIX ARK
                  VERSION_HEADER "ark_version.h")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KERFUFFLE)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Concurrent
    Core
    Gui
    Widgets)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config
                                                        Crash
                                                        DBusAddons
                                                        DocTools
                                                        FileMetaData
                                                        I18n
                                                        KIO
                                                        Service
                                                        Parts
                                                        WidgetsAddons
                                                        WindowSystem
                                                        IconThemes)

if(NOT WIN32)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Pty)
endif()

find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt6Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL)

if(NOT TARGET Qt6::Test)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(LibArchive 3.3.3 REQUIRED)
set_package_properties(LibArchive PROPERTIES
                       URL "https://www.libarchive.org/"
                       DESCRIPTION "A library for dealing with a wide variety of archive file formats"
                       PURPOSE "Required for among others tar, tar.gz, tar.bz2 formats in Ark.")

find_package(LibZip 1.3.0)
set_package_properties(LibZip PROPERTIES
                       URL "https://nih.at/libzip/"
                       DESCRIPTION "A library for handling zip archives"
                       PURPOSE "Optional for zip archives.")
# To remove once we can depend on LibZip 1.6+
if("${LibZip_VERSION}" VERSION_GREATER_EQUAL 1.6)
    set(LIBZIP_CANCELATION 1)
endif()
configure_file(config.h.in config.h)

option(WITH_TEST_COVERAGE "Build with test coverage support" OFF)
if(WITH_TEST_COVERAGE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif()

set(SUPPORTED_ARK_MIMETYPES "")

add_definitions(-DTRANSLATION_DOMAIN="ark")

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 6.12.0
)


add_subdirectory(plugins)
add_subdirectory(kerfuffle)
add_subdirectory(part)
add_subdirectory(app)
add_subdirectory(doc)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)
kdoctools_install(po)

ecm_qt_install_logging_categories(EXPORT ARK FILE ark.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
ark (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 21:59:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ark
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.19~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.19~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libarchive-dev (>= 3.3.3~),
@@ -29,11 +28,11 @@
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/utilities/ark
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git
 
 Package: ark
 Section: utils

## ark 25.04.0

=== debian/changelog ===
ark (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:40:17 +0200

## ark 25.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(ark VERSION ${RELEASE_SERVICE_VERSION})

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -18,12 +18,12 @@
     welcomeview/recentfilesmodel.cpp
     welcomeview/recentfilesmodel.h
     ark.qrc
-   )
+    )
 
 ecm_qt_declare_logging_category(ark
-                                HEADER ark_debug.h
-                                IDENTIFIER ARK_LOG
-				CATEGORY_NAME ark.main DESCRIPTION "Ark Main" EXPORT ARK)
+    HEADER ark_debug.h
+    IDENTIFIER ARK_LOG
+    CATEGORY_NAME ark.main DESCRIPTION "Ark Main" EXPORT ARK)
 
 
 ki18n_wrap_ui(ark welcomeview/welcomeview.ui)
@@ -49,12 +49,12 @@
             KF6::BreezeIcons
     )
     target_compile_definitions(ark PRIVATE WITH_BREEZEICONS_LIB)
-endif ()
+endif()
 
 # we provide our own Info.plist containing a simple "we open anything" instruction.
 if(APPLE)
     # own plist template
-    set_target_properties (ark PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)
+    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)
 
     # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
     # so has to be set for all targets in this cmake file

=== autotests/plugins/cli7zplugin/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/plugins/cli7zplugin/)

file(COPY ${CMAKE_BINARY_DIR}/plugins/cli7zplugin/kerfuffle_cli7z.json
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

ecm_add_test(
    cli7ztest.cpp
    ${CMAKE_SOURCE_DIR}/plugins/cli7zplugin/cliplugin.cpp
    ${CMAKE_BINARY_DIR}/plugins/cli7zplugin/ark_debug.cpp
    LINK_LIBRARIES testhelper kerfuffle Qt::Test
    TEST_NAME cli7ztest
    NAME_PREFIX plugins-)

=== autotests/plugins/cliunarchiverplugin/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/plugins/cliunarchiverplugin/)

file(COPY ${CMAKE_BINARY_DIR}/plugins/cliunarchiverplugin/kerfuffle_cliunarchiver.json
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

ecm_add_test(
    cliunarchivertest.cpp
    ${CMAKE_SOURCE_DIR}/plugins/cliunarchiverplugin/cliplugin.cpp
    ${CMAKE_BINARY_DIR}/plugins/cliunarchiverplugin/ark_debug.cpp
    LINK_LIBRARIES testhelper kerfuffle Qt::Test
    TEST_NAME cliunarchivertest
    NAME_PREFIX plugins-)

# cliunarchiver plugin needs exceptions enabled
kde_target_enable_exceptions(cliunarchivertest PRIVATE)

=== debian/changelog ===
ark (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - CompressFileItemAction: stat without progress info.
  * Backport upstream commits:
    - Fix file sorting order not matching Dolphin’s. [55b6d6e6] (kde#387969)
    - Fix corner case of single-threaded CPU getting 0 thread. [1435ccd4]

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Jul 2025 15:34:31 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                zlib1g-dev,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://invent.kde.org/utilities/ark
+Homepage: https://apps.kde.org/ark/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

## ark 25.07.80

=== debian/changelog ===
ark (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:01:11 +0100

ark (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:34:07 +0100

ark (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:43 +0100

ark (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:59:11 +0100

ark (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:39:33 +0100

## ark 25.07.90

=== debian/changelog ===
ark (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:25:57 +0100
